[FFmpeg-devel] [PATCH] Fix for broken build

Art Clarke aclarke
Sat Jan 24 22:50:52 CET 2009

On Sat, Jan 24, 2009 at 11:39 AM, Art Clarke <aclarke at xuggle.com> wrote:
>> Unless one of us has a crystal ball, obviously no. How should we know
>> why it fails if you don't even say what fails/with what error message?
> Sorry you're absolutely right.  Let me be more clear.  What fails is
> that anyone who tries to include mem.h in a library using libav will
> fail.  Why?  Because the FFMPEG "make install" target will not install
> config.h into /usr/local/include/libavutil, but now with Diego's
> change, mem.h now requires it.
sorry, I should have set does not include config.h into ${prefix}/include.

> 2) change the configure script to install config.h by default (a bad
> idea I think, but I'm not sure).
and no I know why a bad idea; because other (admittedly stupid)
programs might install a /usr/local/config.h and either override
libav's, or ffmpeg would override someone elses.

- Art

xu?ggle (z?' gl) v. To freely encode, decode, and experience audio and video.

Use Xuggle to get the power of FFMPEG in Java.

More information about the ffmpeg-devel mailing list